GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
geos::geomgraph::index::SimpleMCSweepLineIntersector Class Reference

Finds all intersections in one or two sets of edges, using an x-axis sweepline algorithm in conjunction with Monotone Chains. More...

`#include <SimpleMCSweepLineIntersector.h>`

Inherits geos::geomgraph::index::EdgeSetIntersector.

## Public Member Functions
void | computeIntersections (std::vector< Edge * > *edges, SegmentIntersector *si, bool testAllSegments)
void | computeIntersections (std::vector< Edge * > *edges0, std::vector< Edge * > *edges1, SegmentIntersector *si)
Public Member Functions inherited from geos::geomgraph::index::EdgeSetIntersector
virtual void | computeIntersections (std::vector< Edge * > *edges, SegmentIntersector *si, bool testAllSegments)=0
virtual void | computeIntersections (std::vector< Edge * > *edges0, std::vector< Edge * > *edges1, SegmentIntersector *si)=0

## Protected Attributes
std::vector< SweepLineEvent * > | events
int | nOverlaps

## Detailed Description

Finds all intersections in one or two sets of edges, using an x-axis sweepline algorithm in conjunction with Monotone Chains.

While still O(n^2) in the worst case, this algorithm drastically improves the average-case time. The use of MonotoneChains as the items in the index seems to offer an improvement in performance over a sweep-line alone.

The documentation for this class was generated from the following file:

- SimpleMCSweepLineIntersector.h